import { inject, observer } from "mobx-react";
import { Modal } from "antd";
import { Store } from "antd/lib/form/interface";
import { Outlet } from "react-router";
import SimpleForm from "./components/form/simple_form";
import { FormInstance } from "antd/lib/form";
import React from "react";
import MyComponent from "./components/errorComp";
const App = (props: Store) => {
  const { usrStore } = props;
  const formRef = React.useRef<FormInstance>(null);
  const loginForm = [
    {
      type: "input",
      label: "用户名",
      name: "account",
      value: "",
      rules: [{ required: true, message: "请输入用户名!" }],
    },
    {
      type: "password",
      label: "密码",
      name: "password",
      value: "",
      rules: [{ required: true, message: "请输入密码!" }],
    },
  ];
  const onFinish = (values: any) => {
    usrStore.login({
      userName: values.account,
      passWord: values.password,
    });
  };
  const onFinishFailed = () => {};
  return (
    <>
      <MyComponent>
        <Outlet />
        <Modal
          title="登录"
          className="owner_model"
          width={"50%"}
          open={usrStore.isNeedLogin}
          afterClose={() => {}}
          onOk={() => {
            formRef.current?.submit();
          }}
          onCancel={() => {
            usrStore.closeLoginDilog();
          }}
        >
          <SimpleForm
            formRef={formRef}
            formName="login_basic"
            colProps={4}
            formDatas={loginForm}
            onFinish={onFinish}
            onFinishFailed={onFinishFailed}
          />
        </Modal>
      </MyComponent>
    </>
  );
};

export default inject("usrStore")(observer(App));
