import { useEffect, useState } from "react";
import AMapLoader from "@amap/amap-jsapi-loader";
import MapUtl from "./mapUtil";

export default function MapContainer() {
  let [amap, setmaps] = useState<any>(null);
  useEffect(() => {
    loadMaps();
    return () => {
      amap?.destroy();
    };
  // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  const loadMaps = async () => {
    const Amap = await AMapLoader.load({
      key: "d58999d072ed7e5897d3900a769cfda0", // 申请好的Web端开发者Key，首次调用 load 时必填
      version: "2.0", // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
      plugins: ["AMap.Scale"],
    });
    amap = new Amap.Map("container", {
      viewMode: "2D", // 是否为3D地图模式
      zoom: 11, // 初始化地图级别
      center: [103.55, 30.34], // 初始化地图中心点位置
      mapStyle: "amap://styles/darkblue",
    });
   
    setmaps(amap);
    addMaket(Amap);
  };
  const addMaket = (m) => {
    const marker = new m.Marker({
      position: new m.LngLat(103.55, 30.34),
      title: "黄水",
    });
    //将创建的点标记添加到已有的地图实例：
    amap.add(marker);
    MapUtl.makerList.push(marker)
    MapUtl.amap = m;
  };

  return <div id="container" style={{ height: "100vh" }}></div>;
}
